
QGIS Application - Bug report #6784

Splitting a topologically correct polygon produces topologically incorrect parts

2012-11-29 02:53 AM - paolo prosperi

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 15933

Description

The split tool applied to a polygon layer with shared boundaries (topology correct) fails in producing new polygons with shared boundary

(topology, again, incorrect). So much so, if after splitting a polygon into two I try to rejoin the two parts, they do not merge. As a

workaround, I need to reshape the new boundary between the two parts and then merge them. Only then dangles that impeded merging

(and that should not be there at all) become visible.

History

#1 - 2014-06-21 04:00 AM - Jürgen Fischer

- Category set to Digitising

#2 - 2014-06-22 11:39 AM - Giovanni Manghi

- Status changed from Open to Feedback

cannot confirm here, at least with the latest master, still true? eventually attach sample data.

#3 - 2014-10-11 04:09 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback, please reopen if necessary.
